REST API call to assign a reviewer group to an incident

Prev Next

You can assign or update a reviewer group to an incident of the specified incident nature.

PUT request URL

https://<epo_server_name:port>/rest/dlp/incidents/revgroup/{incidentId}/?incidentNature={n}&revGroupId={n}

Where

  • epo_server_name:port is the server IP address and port number.

  • incidentNature={n} n can be 1, 2, or 3 for incidents of different data vectors (incident nature). Based on the value of n specified, reviewer group is set to an incident for the specified incident nature.

  • {incidentId} unique identifier of the incident that has to be assigned with a reviewer group.

  • revGroupId={n} specifies the unique identifier of a reviewer group. The default groups are:

    • 1 = Global Reviewer

    • 2 = Group Admin

    • 3 = Group Reviewer

    • 4 = Executive Reviewer

Request Parameters

Parameter name

Description

Required

Values

Authorization

User credentials for ePO - On-prem.

Required

incidentNature={n}

Incidents generated for data-in-use/motion and data-at-rest can have the same incident IDs. Specify n to differentiate the incident nature.

Where {n} can be:

  • 1 = Retrieve incident details generated for data-in-use/motion

  • 2 = Reserved to retrieve data-at-rest - Endpoint Discovery incidents and can be used when support for Endpoint Discovery custom attributes is added into the product

  • 3 = Retrieve incident details generated for data-at-rest - Network

Required

Number

{incidentId}

Unique identifier of an incident

Required

Number

revGroupId={n}

Unique identifier of a reviewer group. The default reviewer groups available in User ManagementPermission Sets are:

  • 1 = Global Reviewer

  • 2 = Group Admin

  • 3 = Group Reviewer

  • 4 = Executive Reviewer

You can create more reviewer groups as needed and assign users.

Required

Number

In these sample requests, Group Reviewer is assigned to incident 24 generated for data-at-rest - Network.

Sample PUT request URL

https://172.27.108.53:8443/rest/dlp/incidents/revgroup/24?incidentNature=3&revGroupId=3

Sample cURL command

curl -k -v -X PUT 'https://172.27.108.53:8443/rest/dlp/incidents/revgroup/24?&incidentNature=3&revGroupId=3' -u '<user>:<password>'

Sample response

Successfully updated Review Group Id for incident 24 

Status and error codes

List of HTTP status codes returned for the query.

Code

Description

200 OK

Returns a successful message.

400 Bad Request

incidentNature, incidentId, or revGroupId is missing or has a non-numeric value.

404 Not Found

Incorrect ePO - On-prem URL.

500 Internal Server Error

An error on the server side that failed the request. See the ePO - On-prem orion.log file for more details about the error.